#!/usr/bin/perl
# count the number of reads starting at COORD in a bowtie alignment
$maxcoord = 1;
while(<STDIN>) {
    ($read,$strand,$refid,$coord,$seq,$qual,$rest) = split("\t");
    if ($coord > $maxcoord) {
	$maxcoord = $coord;
    }
    for ($i =0; $i < length($seq); $i++) {
	$counts{$coord + $i}++;
    }
}
for ($i = 1; $i < $maxcoord+35; $i++) {
    if ($counts{$i}) {
	print($i, " ", $counts{$i}, "\n");
    }
    else { 
	print($i, " 0\n");
    }
}
